/*
 * Copyright (C) 2012 Canonical, Ltd.
 *
 * Authors:
 *  Christian Dywan <christian.dywan@canonical.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DEEVARIANTTEXT_H
#define DEEVARIANTTEXT_H

#include <QtCore/QObject>
#include <QtCore/QVariant>

class __attribute__ ((visibility ("default"))) DeeVariantText : public QObject {
    Q_OBJECT
    Q_PROPERTY(QString text READ getText WRITE setText NOTIFY textChanged)
    Q_PROPERTY(QVariant value READ getValue NOTIFY valueChanged)
public:
    DeeVariantText(QObject* parent = 0);
    ~DeeVariantText() { }

    QString getText() { return m_text; }
    QVariant getValue() { return m_value; }
    QVariant getType() { return m_type; }
    void setText(const QString& text);
Q_SIGNALS:
    void textChanged(const QString& text);
    void valueChanged(const QVariant& value);
private:
    Q_DISABLE_COPY(DeeVariantText)
    QString m_text;
    QVariant m_value;
    QString m_type;
};

#endif // DEEVARIANTTEXT_H

