/*
 * Copyright (C) 2012 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QtTest>
#include <QObject>
#include <QtDeclarative>

class PluginTest : public QObject
{
    Q_OBJECT

private Q_SLOTS:
    void initTestCase()
    {
    }

    void GVariantQMLTest()
    {
        QApplication app(0, 0);
        QDeclarativeView view;
        view.setSource(QUrl::fromLocalFile("test_qtquick1.qml"));
        Q_ASSERT(view.errors().empty());
        QObject *text2 = view.rootObject()->findChild<QObject*>("text2");
        Q_ASSERT(text2);
        QVariant text2text(text2->metaObject()->property(text2->metaObject()->indexOfProperty("text")).read(text2));
        QCOMPARE(text2text.toString(), QString("4,1.1,0.1,0,0.3,3.6"));
    }
};

QTEST_MAIN(PluginTest)

#include "qtquick1plugintest.moc"
