import QtQuick 2.0
import QtTest 1.0
import Dee 3.0

TestCase {
    name: "DeeVariantText"

    function test_initialText () {
        compare(arrayOfStr.value.toString(),"bar,foo")
    }

    function test_textAssigned () {
        arrayOfInt.text = "[[4, 1.1, .1], [0, 0.3, 3.6]]"
        compare(arrayOfInt.value.toString(),"4,1.1,0.1,0,0.3,3.6")
    }

    function test_textChanged () {
        arrayOfInt.didChange = false
        arrayOfInt.text = "@ams [nothing]"
        compare(arrayOfInt.didChange,true)
    }

    function test_invalid () {
        arrayOfInt.text = "[nothing]"
        compare(arrayOfInt.value,undefined)
    }

    function test_unicode () {
        arrayOfInt.text = "[\"١٢٣٤٥٦٧٨٩٠\", \"道具箱\", \"Котята\"]"
        compare(arrayOfInt.value.toString(),"١٢٣٤٥٦٧٨٩٠,道具箱,Котята")
    }

    DeeVariantText {
        id: arrayOfStr
        text: "[\"bar\", \"foo\"]"
    }

    DeeVariantText {
        id: arrayOfInt
        text: "[[1, 2, 3], [4, 5, 6]]"
        property bool didChange: false
        onTextChanged: {
            didChange = true
        }
    }

}

